org.apache.felix.ipojo.extender.internal.queue

## Interface QueueNotifier

All Known Implementing Classes:
  AbstractQueueService, ExecutorQueueService, SynchronousQueueService

    public interface QueueNotifier

Internal interface to de-couple event producer and event listeners.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `fireEnlistedJobInfo(JobInfo info)`
`void` `fireExecutedJobInfo(JobInfo info, java.lang.Object result)`
`void` `fireFailedJobInfo(JobInfo info, java.lang.Throwable throwable)`
`void` `fireStartedJobInfo(JobInfo info)`

### Method Detail

#### fireEnlistedJobInfo

    void fireEnlistedJobInfo(JobInfo info)

#### fireStartedJobInfo

    void fireStartedJobInfo(JobInfo info)

#### fireExecutedJobInfo

    void fireExecutedJobInfo(JobInfo info,
                             java.lang.Object result)

#### fireFailedJobInfo

    void fireFailedJobInfo(JobInfo info,
                           java.lang.Throwable throwable)